LEA::Base Class Reference

LEA block cipher transformation functions. More...

`#include <lea.h>`

Inheritance diagram for LEA::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< LEA_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

LEA block cipher transformation functions.

Provides implementation common to encryption and decryption

Since
  Crypto++ 8.0

Definition at line 60 of file lea.h.

The documentation for this class was generated from the following files:

- lea.h
- lea.cpp